﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<Model> Data { get; set; }

        private double restrictZoomFactor = 1;
        public double RestrictZoomFactor
        {
            get { return restrictZoomFactor; }
            set
            {

                if (value > 0.8 )
                    restrictZoomFactor = 0.8;
                else
                {
                    restrictZoomFactor = value;
                    
                }

                if (PropertyChanged != null)
                {
                    PropertyChanged.Invoke(this, new PropertyChangedEventArgs("RestrictZoomFactor"));
                    
                }
            }
        }
        public ViewModel()
        {
            Random random = new Random();

            DateTime date = new DateTime(2018, 03, 20, 2, 0, 0);
            Data = new ObservableCollection<Model>(){

                new Model(new DateTime(2018, 03, 20, 2, 0, 0), 3.1, 2.5, "Yes"),
                new Model(new DateTime(2018, 03, 20, 3, 0, 0), 3.1, 3.5, "No"),
                new Model(new DateTime(2018, 03, 20, 5, 0 , 0), 2.5, 2, "No"),
                new Model(new DateTime(2018, 03, 20, 12, 0, 0), 3.6, 2.4,"Yes"),
                new Model(new DateTime(2018, 03, 21, 3, 0, 0), 2.9, 3, "No"),
                new Model(new DateTime(2018, 03, 21, 5, 0, 0), 2.9, 3, "No"),
                new Model(new DateTime(2018, 03, 21, 8, 0, 0), 2.9, 3,"Yes"),
                new Model(new DateTime(2018, 03, 21, 12, 0 ,0), 2.9, 3, "No"),
                new Model(new DateTime(2018, 03, 22, 3, 0, 0), 2.9, 2.5,"Yes"),
                new Model(new DateTime(2018, 03, 22, 5, 0, 0), 2.9, 2.8, "No"),
                new Model(new DateTime(2018, 03, 22, 8, 0, 0), 2.9, 3.5,"Yes"),
                new Model(new DateTime(2018, 03, 22, 12, 0 ,0), 2.9, 3.8, "No"),
            };
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
    public class Model
    {
        public DateTime XValue { get; set; }
        public double YValue { get; set; }
        public double YValue1 { get; set; }
        public string Sensor { get; set; }

        public Model(DateTime xValue, double yValue, double yValue1, string sensor)
        {
            XValue = xValue;
            YValue = yValue;
            YValue1 = yValue1;
            Sensor = sensor;
        }
    }
}
